/*
 *  Kiss streaming server 
 *
 *  Copyright (C) 2003-2004 Thibault Lamy (xoubir@sourceforge.net)
 *                2003-2004 Jarl van Katwijk (bstard@sourceforge.net)
 *                2005      Erik Kunze (eku@sourceforge.net)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: avifile.h,v 1.4 2005/08/14 18:26:23 eku Exp $
 */

#ifndef AVIFILE_H_
# define AVIFILE_H_

typedef struct
{
  unsigned long dwMicroSecPerFrame;
  unsigned long dwMaxBytesPerSec;
  unsigned long dwReserved1;
  unsigned long dwFlags;
  unsigned long dwTotalFrames;
  unsigned long dwInitialFrames;
  unsigned long dwStreams;
  unsigned long dwSuggestedBufferSize;
  unsigned long dwWidth;
  unsigned long dwHeight;
  unsigned long dwScale;
  unsigned long dwRate;
  unsigned long dwStart;
  unsigned long dwLength;
} MainAVIHeader;

typedef struct
{
  unsigned long fccType;
  unsigned long fccHandler;
  unsigned long dwFlags;
  unsigned long dwReserved1;
  unsigned long dwInitialFrames;
  unsigned long dwScale;
  unsigned long dwRate;
  unsigned long dwStart;
  unsigned long dwLength;
  unsigned long dwSuggestedBufferSize;
  unsigned long dwQuality;
  unsigned long dwSampleSize;
  unsigned long dwReserved2;
  unsigned long dwReserved3;
} AVIStreamHeader;

extern int get_avi_info(char *, MainAVIHeader *);

#endif

/* EOF */
