/*
 *  Kiss streaming server 
 *
 *  Copyright (C) 2003-2004 Thibault Lamy (xoubir@sourceforge.net)
 *                2003-2004 Jarl van Katwijk (bstard@sourceforge.net)
 *                2005      Erik Kunze (eku@sourceforge.net)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: common_menu.h,v 1.6 2005/08/17 07:51:13 eku Exp $
 */

#ifndef COMMON_MENU_H_
# define COMMON_MENU_H_

#include "dp500.h"

# define PATH_DP500_MENU "DP500ServMenu"
# define MENU_PREFIX "--SPECIAL"

extern int send_common_menu_dir(t_client *);
extern int send_common_menu_items(t_client *);
extern int exec_common_menu_item(const char *, t_client *);

#endif

/* EOF */
