/*
 *  Kiss streaming server 
 *
 *  Copyright (C) 2003-2004 Thibault Lamy (xoubir@sourceforge.net)
 *                2003-2004 Jarl van Katwijk (bstard@sourceforge.net)
 *                2005      Erik Kunze (eku@sourceforge.net)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: logging.h,v 1.5 2005/08/17 07:23:01 eku Exp $
 */

#ifndef LOGGING_H_
# define LOGGING_H_

#define do_log(l,...)	do_log2((l),-1,__VA_ARGS__)

#ifdef __GNUC__
extern void do_log2(const int, const int, const char *, ...) __attribute__ ((format(printf, 3, 4)));
#else
extern void do_log2(const int, const int, const char *, ...);
#endif

#endif

/* EOF */
