/*
 *  Kiss streaming server 
 *
 *  Copyright (C) 2003-2004 Thibault Lamy (xoubir@sourceforge.net)
 *                2003-2004 Jarl van Katwijk (bstard@sourceforge.net)
 *                2005      Erik Kunze (eku@sourceforge.net)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: playlists.h,v 1.7 2005/08/14 18:26:23 eku Exp $
 */

#ifndef PLAYLIST_H_
# define PLAYLIST_H_

#define RECENTLY_PLAYLIST_REALNAME "RecentlyPlayed"
#define RECENTLY_PLAYLIST_KISSNAME "[]  Recently Played Titles"

extern int playlist_recent(const char *);
extern int playlist_export_recent(t_client *);
extern int playlist_update_recent(const char *);
extern int playlist_insert(const char *);
extern int playlist_new_path(void);
extern int playlist_show_playlists(t_client *);
extern int playlist_show_songs(const char *, t_client *);

#endif

/* EOF */
