/*
 *  Kiss streaming server 
 *
 *  Copyright (C) 2003-2004 Thibault Lamy (xoubir@sourceforge.net)
 *                2003-2004 Jarl van Katwijk (bstard@sourceforge.net)
 *                2005      Erik Kunze (eku@sourceforge.net)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: clients.h,v 1.5 2005/08/14 18:26:23 eku Exp $
 */

#ifndef CLIENTS_H_
# define CLIENTS_H_

#include <sys/types.h>
#include <netinet/in.h>
#include "dp500.h"

extern void add_new_client(struct sockaddr_in *, int, t_dp500 *);
extern void del_client(t_client *, t_dp500 *);
extern t_client *find_client(struct sockaddr_in *, t_dp500 *);

#endif

/* EOF */
