/*
 *  Kiss streaming server 
 *
 *  Copyright (C) 2003-2004 Thibault Lamy (xoubir@sourceforge.net)
 *                2003-2004 Jarl van Katwijk (bstard@sourceforge.net)
 *                2005      Erik Kunze (eku@sourceforge.net)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  $Id: files_tools.h,v 1.8 2005/08/15 12:35:23 eku Exp $
 */

#ifndef FILES_TOOLS_H_
# define FILES_TOOLS_H_

#include "dp500.h"

extern const char *source_tracker_add(const char *, const char *,
				      const char *);
extern const char *source_tracker_realname(const char *);
extern const char *source_tracker_kissname(const char *);
#if 0
extern t_source_handler *source_tracker_handler_by_kissname(const char *);
#endif
extern void build_file_list_audio(const char *, t_client *);
extern void build_file_list_video(const char *, t_client *);
extern void build_file_list_images(const char *, t_client *);
extern char *scan_directory_tree(const char *, const char *);

#endif

/* EOF */
